Bug 137800 - unescaped RPM macro places excessive garbage text into changelog
Summary: unescaped RPM macro places excessive garbage text into changelog
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-01 15:04 UTC by Moritz Barsnick
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 13:23:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Moritz Barsnick 2004-11-01 15:04:28 UTC
Description of problem:
In the SPEC file, there is an unescaped RPM macro, namely %configure. 
This is unfortunately expanded in the changelog (rpm -qp --changelog 
$file.rpm), and is a bit annoying.

Version-Release number of selected component (if applicable):
1.06-17.1

How reproducible:
always

Steps to Reproduce:
1. tail +`fgrep -n %changelog bc.spec | cut -d: -f1`  bc.spec | fgrep 
' %configure'
  
Actual results:
1. - use %configure

Expected results:
1. - use %%configure

Additional info:
At another position in the %changelog it's perfectly correct...

Comment 1 Thomas Woerner 2005-11-21 13:23:08 UTC
Fixed in rawhide in rpm bc-1.06-19 or newer.

Comment 2 Moritz Barsnick 2005-11-28 12:40:12 UTC
Indeed, it looks fine now. Thanks for uncluttering!


Note You need to log in before you can comment on or make changes to this bug.